IllegalArgumentException (Java SE 15 & JDK 15)
Description: declaration: module: java.base, package: java.lang, class: IllegalArgumentException
Keywords: java.lang.IllegalArgumentException class

Module java.base
Package java.lang

# Class IllegalArgumentException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `IllegalChannelGroupException`, `IllegalCharsetNameException`, `IllegalFormatException`, `IllegalSelectorException`, `IllegalThreadStateException`, `InvalidKeyException`, `InvalidOpenTypeException`, `InvalidParameterException`, `InvalidPathException`, `InvalidStreamException`, `KeyAlreadyExistsException`, `NumberFormatException`, `PatternSyntaxException`, `ProviderMismatchException`, `UnresolvedAddressException`, `UnsupportedAddressTypeException`, `UnsupportedCharsetException`

    public class IllegalArgumentException
    extends RuntimeException

Thrown to indicate that a method has been passed an illegal or inappropriate argument.

Since:
  1.0
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `IllegalArgumentException()` | Constructs an `IllegalArgumentException` with no detail message.
  `IllegalArgumentException​(String s)` | Constructs an `IllegalArgumentException` with the specified detail message.
  `IllegalArgumentException​(String message, Throwable cause)` | Constructs a new exception with the specified detail message and cause.
  `IllegalArgumentException​(Throwable cause)` | Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IllegalArgumentException

    public IllegalArgumentException()
    Constructs an `IllegalArgumentException` with no detail message.

  - ### IllegalArgumentException

    public IllegalArgumentException​(String s)
    Constructs an `IllegalArgumentException` with the specified detail message.
    Parameters:
      `s` - the detail message.

  - ### IllegalArgumentException

    public IllegalArgumentException​(String message, Throwable cause)
    Constructs a new exception with the specified detail message and cause.

    Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

    Parameters:
      `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
    Since:
      1.5

  - ### IllegalArgumentException

    public IllegalArgumentException​(Throwable cause)
    Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for exceptions that are little more than wrappers for other throwables (for example, `PrivilegedActionException`).
    Parameters:
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
    Since:
      1.5